#ifndef RISIMULATORPLUGINFACTORY_H__
#define RISIMULATORPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class RISimulatorPluginFactory : public QObject, public ritk::SourcePluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::SourcePluginFactory)

public:
	/// Constructor
	RISimulatorPluginFactory();
	/// Destructor
	~RISimulatorPluginFactory();

	ritk::SourcePlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // RISIMULATORPLUGINFACTORY_H__
